[Megoldva]Lfs linux firefox

 ( PP | 2014. március 12., szerda - 13:12 )

Sziasztok.

Szeretnem felrakni a firefox bongeszot 27.0.1 verziojat. De viszont forgatasnal panaszkodik az "sqline3"-ra. Maga az sqline3 fent van.
bash-4.2# sqlite3 --version
3.8.3.1 2014-02-11 14:52:1
Leforgattam ismet az sqline3 hatha elrontottam valamit de a problema meg mindig nem szunt meg.

Tudna valaki segiteni?

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Pontosan mit ír ki, amikor panaszkodik? Gondolom, sqlite lenne, nem pedig sqline.

Hopssz! Pedig mar elo volt keszitve postabin link.Bocsi. :)
http://pastebin.com/NMY7v6hu

Ez elég beszédes:
System SQLite library is not compiled with SQLITE_SECURE_DELETE.

Milyen kapcsolókkal forgattad le az sqlite-ot?

Elvileg akkor pedig úgy kellett volna fordulnia. Viszont a hibaüzenet azt mondja, hogy nincs beleforgatva ennek támogatása. Rákeresve a konkrét hibára viszont egy csomó Firefox bug jön elő, szerintem böngéssz azok közt.

Fordítsd le az sqlite3-at még egyszer és nézzük azt a log-ot!

Sqlite3 config.log kimenet: http://pastebin.ca/265581
Firefox ujraprobalva http://pastebin.com/d3A6Qrsa

Jó, most már szerintem jó az sqlite (bár a pastebin link nem jó). Viszont az nss-t is újra kellene fordítani, és csak azután a firefox-ot (a libsoftokn3.so az nss része).

Ez eleg erdekes. Firefox telepiteshez keri a xulrenner csomagot. Ha jol tudom, akkor ez kell a libxul.so -hoz. De ha telepiteni akarom akkor panaszkodik ismert a sqlite3-ra.Egyan ugy mint eddig. configure: error: System SQLite library is not compiled with SQLITE_SECURE_DELETE.

Úgy tűnik, az eddigi sqlite3 hibát sikerült megszüntetni. Leforgattam ismételten a leírás szerint és már a firefox forgatásnál nem panaszkodik rá. De viszont, most ez miatt nem fordul le. http://pastebin.com/MbcM8KhP

Valakinek van tippje mi a baja ismét?

Újraforgattad az nss-t ahogy uzsolt írta?

Igen. De közben meg lett a megoldás. Tényleg az nss-el volt a gond. Újra forgattam megint. Mivel 64bit-es a rendszer a következőképp kell megadni.

make USE_64=1 nss_build_all

Köszönöm mindenkinek a segítséget. :)